jQuery lägger ner stöd för IE8

Utvecklingsteamet bakom det omåttligt populära JavaScipt-ramverket jQuery har presenterat planerna för de kommande versionerna. jQuery 1.8 genomgår en vårstädning där man försöker rensa ut osäker och ineffektiv kod. De har även påbörjat arbetet med att erbjuda utvecklare möjligheten att utesluta delar av ramverket som man inte använder för att på så vis göra det ännu mindre.

Utvecklarna bakom jQuery står just nu inför ett vägskäl där de inte vill släppa sin filosofi om att göra ramverket funktionellt oberoende av vilken webbläsare användaren har samtidigt som de vill ta ett steg in i framtiden och utnyttja alla fördelar som kommer med moderna webbläsare, inte minst för att anpassa sig till den växande mobila marknaden.

jQuery 1.8 väntas släppas inom en månad. I jQuery 1.9, som ska släppas i början på 2013, kommer man att ta bort många av de interface som redan var föråldrade i version 1.8. Stöd för IE (Internet Explorer) 6-8 kommer att vara detsamma som idag. Med start från jQuery 2.0 så kommer emellertid stöd för vissa funktioner inte längre att finnas för IE 6-8. jQuery 2.0 kommer att vara mindre och snabbare med möjlighet till bättre felhantering.

När jQuery 2.0 släpps kommer alla utvecklare att behöva göra ett val. Om det fortfarande krävs stöd för IE 6-8, vilket är fallet för de flesta större webbplatser, myndigheter och andra viktigare tjänster, så får man hålla kvar vid jQuery 1.9.

Lämna ett svar

Din e-postadress kommer inte publiceras.